New 27'' iMac <-> Line6 Pod doesn't work, please help!

Discussion in 'iMac' started by ManuelGnR, Jan 6, 2010.

  1. ManuelGnR macrumors regular

    Joined:
    Nov 4, 2008
    Location:
    Netherlands
    #1
    So I have my iMac(1) for almost three weeks now. And I can say, it is amazing and everything works totally perfect. BUT.

    When I try to connect my Line6 Pod(2) for guitar to my mac, I get the awful ''you need to restart your computer'' screen. And I will get it again and again, unless I unplug my Pod. When I connect it again, it will do the same over and over. How can I get it to work with Garageband etc.?

    I also have a MIDI keyboard(3) that totally works with Garageband.

    I also have a dock(4) connected by USB, and sometimes a ext. HD.

    (1) Late '09, 3.06 Ghz, 4 GB, 27'', etc.
    (2) Early '09 I guess, Line6 GX Pod for guitar, very basic one.
    Had it to work on my PowerBook, never used it much, waited for the iMac.
    (3) Mid '09, M-Audio Keystation 49e MIDI keyboard
    (4) XtremeMac dock for iPod + iPhon

    How can I get the damn thing to work? I really want to..:confused:
     
  2. lindafus macrumors member

    lindafus

    Joined:
    Jan 1, 2010
    #2
    UGH, I just got my new imac 27 quad i7 also, I am about to install the my line 6 on it tonight. I had it installed just fine on my mac mini snow leopard. I will report back here and let you know how I did it. Will do the install tonight. I believe there is a driver that needs to be installed for snow leopard as I recall. I will surely, let you know.

    Regards,

    -Linda:confused:
     
  3. jhbpa macrumors newbie

    Joined:
    Oct 19, 2008
    #3
    I think Line 6 is rosetta (as is the Truefire media player), SL on my i7 came without rosetta being installed, maybe yours did also.

    I had to use the install DVD to get it to work after trying unsuccessfully to just download and install.

    You might consider taking a look at NI Guitar Rig Mobile, I find it a superior I/O device and still works with all of the Line 6 stuff.
     
  4. ManuelGnR thread starter macrumors regular

    Joined:
    Nov 4, 2008
    Location:
    Netherlands
    #4
    Thanks for the quick replies!

    I have this 90-euros device I can't take back anymore, so I would like to have it working.

    On my PowerBook (when I still had Leopard on it) it was plug, some System Preferences blabla with the Midi, and Play.

    On my iMac, it's plug & crash.

    If someone could explain to me how to get it working easily with Garageband I would love it. If it's working with Garageband I guess it'll be working with Logic too, right?
     
  5. Sambo110 macrumors 68000

    Joined:
    Mar 12, 2007
    Location:
    Australia
    #5
    Have you tried installing Rosetta first? Install it from the discs, in extra packages or something like that.
     
  6. crut macrumors regular

    Joined:
    Dec 26, 2009
    #6
    To expand on what other people have said - it appears the hardware and software to drive the kit is for PowerPC (your powerbook is a G4 PowerPC). This means that to use the kit and drivers you will need to install Rosetta.

    Rosetta is a "compatibility" layer that allows PPC software to run on an Intel processor.

    You will have to install this on the machine as - from what others have said - it is no longer installed by default on newer machines. The suggestion is that you install Rosetta and the Line6 Pod drivers/software to see if that makes a difference.

    If not I would suggest contacting the hardware manufacturer (Line6) for advice or even updated drivers.

    Hope this helps.
     
  7. ManuelGnR thread starter macrumors regular

    Joined:
    Nov 4, 2008
    Location:
    Netherlands
    #8
    I have 3 discs:

    Pod Farm 1.00
    Live Lite 7
    RiffWorks T4

    Do you know where I can find it? Or can I just download it?
     
  8. OllyW Moderator

    OllyW

    Staff Member

    Joined:
    Oct 11, 2005
    Location:
    The Black Country, England
    #9
    Don't bother with Rosetta, try the Beta driver from the link I gave above.
     
  9. ManuelGnR thread starter macrumors regular

    Joined:
    Nov 4, 2008
    Location:
    Netherlands
  10. lindafus macrumors member

    lindafus

    Joined:
    Jan 1, 2010
    #11
    I was able to install my Line6 USB with driver version 4.2.4 midi driver not sure if this will work with your Pod2. Works great. Panic was fixed in that version. Download from Line6 website.

    http://line6.com/software/index.html

    -Linda
     
  11. ManuelGnR thread starter macrumors regular

    Joined:
    Nov 4, 2008
    Location:
    Netherlands
    #12

Share This Page